<template>
    <div class="dialog-table-container">
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="500"
            border
            v-if="dataReady"
            align="center"
            :data="tableData"
            :span-method="objectSpanMethod"
            id="mix-table-bigger"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column prop="indexKey" label="序号" width="60" />
            <el-table-column prop="projectName" label="项目名称" width="220">
            </el-table-column>
            <el-table-column
                prop="reformQuantitativeObjectives"
                label="指标名称"
            >
            </el-table-column>
            <el-table-column
                prop="reformQuantitativeObjectivesUnit"
                label="单位"
                width="80"
            >
            </el-table-column>
            <el-table-column prop="yearValue" label="年度目标值" width="80">
            </el-table-column>
            <el-table-column prop="monthValue" label="月度目标值" width="80">
            </el-table-column>
            <el-table-column prop="fillData" label="进度值" width="80">
            </el-table-column>
            <el-table-column label="完成状态" width="120">
                <template v-slot="{row}">
                    <el-tag
                        type="success"
                        effect="dark"
                        v-if="row.fillData >= row.monthValue"
                        >已完成</el-tag
                    >
                    <el-tag type="danger" effect="dark" v-else>未完成</el-tag>
                </template>
            </el-table-column>
        </el-table>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
export default {
    name: 'quantitativeObjectives1',
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            dataReady: false,
            tableData: [],
            // tableData: [
            //     {
            //         indexKey: 1,
            //         name: '推动数字重庆建设',
            //         org: '市大数据发展局',
            //         targetName: '建设10个以上特色示范场景',
            //         unit: '个',
            //         yearGoal: '10',
            //         monthGoal: '1',
            //         value: '1',
            //         zd: '2',
            //         app: '4',
            //         pj: '5',
            //         bd: '17',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 1,
            //         name: '推动数字重庆建设',
            //         org: '市大数据发展局',
            //         targetName: '建设20个以上特色示范场景',
            //         unit: '个',
            //         yearGoal: '20',
            //         monthGoal: '2',
            //         value: '2',
            //         zd: '2',
            //         app: '4',
            //         pj: '5',
            //         bd: '17',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 1,
            //         name: '推动数字重庆建设',
            //         org: '市大数据发展局',
            //         targetName: '市级部门共享公共数据突破1.2万类',
            //         unit: '万类',
            //         yearGoal: '1.2',
            //         monthGoal: '0.3',
            //         value: '0.4',
            //         zd: '2',
            //         app: '4',
            //         pj: '5',
            //         bd: '17',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 1,
            //         name: '推动数字重庆建设',
            //         org: '市大数据发展局',
            //         targetName: '面向社会开放公共数据突破6500万类',
            //         unit: '类',
            //         yearGoal: '6500',
            //         monthGoal: '2000',
            //         value: '2100',
            //         zd: '2',
            //         app: '4',
            //         pj: '5',
            //         bd: '17',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 1,
            //         name: '推动数字重庆建设',
            //         org: '市大数据发展局',
            //         targetName: '川渝两地1.3万类数据目录互挂',
            //         unit: '万类',
            //         yearGoal: '1.3',
            //         monthGoal: '0.4',
            //         value: '0.3',
            //         zd: '2',
            //         app: '4',
            //         pj: '5',
            //         bd: '17',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 2,
            //         name: '全市开发区（园区）数',
            //         org: '市发展改革委',
            //         targetName: '全市开发区（园区）数量下降',
            //         unit: '个',
            //         yearGoal: '10',
            //         monthGoal: '3',
            //         value: '3',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '13',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 3,
            //         name: '探索制造业“亩均论英雄”改革',
            //         org: '市经济信息委',
            //         targetName: '全市规上工业企业亩均产出提高5%',
            //         unit: '%',
            //         yearGoal: '5',
            //         monthGoal: '2',
            //         value: '2.1',
            //         zd: '2',
            //         app: '2',
            //         pj: '2',
            //         bd: '9',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 3,
            //         name: '探索制造业“亩均论英雄”改革',
            //         org: '市经济信息委',
            //         targetName: '全市产业园区工业用地亩均产出提高5%',
            //         unit: '%',
            //         yearGoal: '5',
            //         monthGoal: '1',
            //         value: '1.6',
            //         zd: '2',
            //         app: '2',
            //         pj: '2',
            //         bd: '9',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 3,
            //         name: '探索制造业“亩均论英雄”改革',
            //         org: '市经济信息委',
            //         targetName:
            //             '主城都市区新增工业项目按“标准地”出让比例不低于30%',
            //         unit: '%',
            //         yearGoal: '5',
            //         monthGoal: '8',
            //         value: '9',
            //         zd: '2',
            //         app: '2',
            //         pj: '2',
            //         bd: '9',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 4,
            //         name: '实施国企战略性重组和专业化整合',
            //         org: '市国资委',
            //         targetName: '新增市属国有企业重组整合及升级发展数11个',
            //         unit: '个',
            //         yearGoal: '8',
            //         monthGoal: '2',
            //         value: '2',
            //         zd: '2',
            //         app: '2',
            //         pj: '2',
            //         bd: '9',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 4,
            //         name: '实施国企战略性重组和专业化整合',
            //         org: '市国资委',
            //         targetName: '市属国有重点企业资产增长5%',
            //         unit: '%',
            //         yearGoal: '5',
            //         monthGoal: '1.8',
            //         value: '1.9',
            //         zd: '1',
            //         app: '2',
            //         pj: '4',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 4,
            //         name: '实施国企战略性重组和专业化整合',
            //         org: '市国资委',
            //         targetName: '市属国有重点企业利润增长6%',
            //         unit: '%',
            //         yearGoal: '6',
            //         monthGoal: '1.5',
            //         value: '1.6',
            //         zd: '1',
            //         app: '2',
            //         pj: '4',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 5,
            //         name: '建立企业上市助推机制',
            //         org: '市金融监管局',
            //         targetName: '新增境内外上市公司30家',
            //         unit: '个',
            //         yearGoal: '30',
            //         monthGoal: '8',
            //         value: '8',
            //         zd: '1',
            //         app: '3',
            //         pj: '3',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 5,
            //         name: '建立企业上市助推机制',
            //         org: '市金融监管局',
            //         targetName: '新增拟上市后备库入库企业800家',
            //         unit: '个',
            //         yearGoal: '800',
            //         monthGoal: '280',
            //         value: '290',
            //         zd: '1',
            //         app: '3',
            //         pj: '3',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 6,
            //         name: '实施投融资多元化改革',
            //         org: '市发展改革委',
            //         targetName: '新增争取政策性基金和政策性贷款1000亿',
            //         unit: '亿元',
            //         yearGoal: '100',
            //         monthGoal: '17',
            //         value: '17.3',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '13',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 6,
            //         name: '实施投融资多元化改革',
            //         org: '市发展改革委',
            //         targetName: '地方财政发行专项债1000亿元',
            //         unit: '亿元',
            //         yearGoal: '1000',
            //         monthGoal: '200',
            //         value: '250',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '13',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 6,
            //         name: '实施投融资多元化改革',
            //         org: '市发展改革委',
            //         targetName: '盘活低效闲置存量资产150亿元',
            //         unit: '亿元',
            //         yearGoal: '150',
            //         monthGoal: '40',
            //         value: '41',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '13',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 7,
            //         name: '探索强村富民综合改革',
            //         org: '市农业农村委',
            //         targetName: '村集体经济组织经营性收入5万元以上达到70%',
            //         unit: '%',
            //         yearGoal: '70',
            //         monthGoal: '64',
            //         value: '65',
            //         zd: '2',
            //         app: '2',
            //         pj: '5',
            //         bd: '16',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 7,
            //         name: '探索强村富民综合改革',
            //         org: '市农业农村委',
            //         targetName: '培养农村致富带头人1000名',
            //         unit: '名',
            //         yearGoal: '1000',
            //         monthGoal: '160',
            //         value: '173',
            //         zd: '2',
            //         app: '2',
            //         pj: '5',
            //         bd: '16',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 7,
            //         name: '探索强村富民综合改革',
            //         org: '市农业农村委',
            //         targetName: '农村产权年交易额达到40亿元',
            //         unit: '亿元',
            //         yearGoal: '40',
            //         monthGoal: '9',
            //         value: '9.2',
            //         zd: '2',
            //         app: '2',
            //         pj: '5',
            //         bd: '16',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 8,
            //         name: '探索经济区与行政区适度分离改革',
            //         org: '市发展改革委',
            //         targetName: '实现年度投资超3000亿元',
            //         unit: '亿元',
            //         yearGoal: '3000',
            //         monthGoal: '700',
            //         value: '710',
            //         zd: '2',
            //         app: '2',
            //         pj: '2',
            //         bd: '12',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 8,
            //         name: '探索经济区与行政区适度分离改革',
            //         org: '市发展改革委',
            //         targetName: '川渝共建产业合作示范园区数达到30个',
            //         unit: '个',
            //         yearGoal: '30',
            //         monthGoal: '8',
            //         value: '8',
            //         zd: '2',
            //         app: '2',
            //         pj: '2',
            //         bd: '12',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 9,
            //         name: '推进涉企涉民服务全生命周期“一件事一次办”',
            //         org: '市政府办公厅',
            //         targetName: '新增40项高频服务事项“一件事一次办”',
            //         unit: '项',
            //         yearGoal: '40',
            //         monthGoal: '9',
            //         value: '10',
            //         zd: '2',
            //         app: '4',
            //         pj: '5',
            //         bd: '17',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 9,
            //         name: '推进涉企涉民服务全生命周期“一件事一次办”',
            //         org: '市政府办公厅',
            //         targetName:
            //             '“一件事一次办”涉及部门后台业务系统接入比例和数据共享需求满足比例达到50%以上',
            //         unit: '%',
            //         yearGoal: '50',
            //         monthGoal: '10',
            //         value: '11',
            //         zd: '2',
            //         app: '4',
            //         pj: '5',
            //         bd: '17',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 10,
            //         name: '打造“信用重庆”升级版',
            //         org: '市发展改革委',
            //         targetName: '信用分级分类监管领域增加10个',
            //         unit: '个',
            //         yearGoal: '10',
            //         monthGoal: '2',
            //         value: '2',
            //         zd: '2',
            //         app: '3',
            //         pj: '3',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 10,
            //         name: '打造“信用重庆”升级版',
            //         org: '市发展改革委',
            //         targetName: '信用承诺事项增加',
            //         unit: '项',
            //         yearGoal: '30',
            //         monthGoal: '8',
            //         value: '8',
            //         zd: '2',
            //         app: '3',
            //         pj: '3',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 10,
            //         name: '打造“信用重庆”升级版',
            //         org: '市发展改革委',
            //         targetName: '信用承诺事项增加',
            //         unit: '个',
            //         yearGoal: '10',
            //         monthGoal: '1',
            //         value: '1',
            //         zd: '2',
            //         app: '3',
            //         pj: '3',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 11,
            //         name: '建设政企学研深度融合的现代职教体系',
            //         org: '市教委',
            //         targetName: '建设跨区域产教联合体、行业产教融合共同体',
            //         unit: '个',
            //         yearGoal: '10',
            //         monthGoal: '2',
            //         value: '1',
            //         zd: '2',
            //         app: '3',
            //         pj: '2',
            //         bd: '13',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 11,
            //         name: '建设政企学研深度融合的现代职教体系',
            //         org: '市教委',
            //         targetName: '新增现代学徒制试点项目',
            //         unit: '个',
            //         yearGoal: '30',
            //         monthGoal: '8',
            //         value: '8',
            //         zd: '2',
            //         app: '3',
            //         pj: '2',
            //         bd: '13',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 12,
            //         name: '健全平安重庆风险闭环管控机制',
            //         org: '市委政法委',
            //         targetName: '群众安全感调查率',
            //         unit: '%',
            //         yearGoal: '98以上',
            //         monthGoal: '98',
            //         value: '98.5',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '15',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 12,
            //         name: '健全平安重庆风险闭环管控机制',
            //         org: '市委政法委',
            //         targetName: '司法公信力、政法队伍满意度',
            //         unit: '%',
            //         yearGoal: '97以上',
            //         monthGoal: '97',
            //         value: '97.5',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '15',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 13,
            //         name: '推进渝警数智“情指行”一体化现代警务改革',
            //         org: '市公安局',
            //         targetName: '实现多个警种部门线上、线下协同运行',
            //         unit: '个',
            //         yearGoal: '20',
            //         monthGoal: '8',
            //         value: '9',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '14',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 14,
            //         name: '建立领导班子运行评估和群众口碑评价机制',
            //         org: '市委组织部',
            //         targetName: '市管领导班子运行全覆盖评估',
            //         unit: '个',
            //         yearGoal: '182',
            //         monthGoal: '85',
            //         value: '87',
            //         zd: '2',
            //         app: '2',
            //         pj: '3',
            //         bd: '12',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 15,
            //         name: '推进“党建扎桩·治理结网”基层治理现代化改革',
            //         org: '市委组织部',
            //         targetName: '创建市级乡村治理“院落制”试点示范村',
            //         unit: '个',
            //         yearGoal: '100',
            //         monthGoal: '20',
            //         value: '21',
            //         zd: '2',
            //         app: '2',
            //         pj: '4',
            //         bd: '16',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 15,
            //         name: '推进“党建扎桩·治理结网”基层治理现代化改革',
            //         org: '市委组织部',
            //         targetName: '街道党建联席会议负责人由上级党员领导兼任率',
            //         unit: '%',
            //         yearGoal: '100',
            //         monthGoal: '90',
            //         value: '91',
            //         zd: '2',
            //         app: '2',
            //         pj: '4',
            //         bd: '16',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            //     {
            //         indexKey: 15,
            //         name: '推进“党建扎桩·治理结网”基层治理现代化改革',
            //         org: '市委组织部',
            //         targetName: '社区党建联席会议负责人由上级党员领导兼任率',
            //         unit: '%',
            //         yearGoal: '100',
            //         monthGoal: '65',
            //         value: '66',
            //         zd: '2',
            //         app: '2',
            //         pj: '4',
            //         bd: '16',
            //         satisfaction: '',
            //         eventTimes: '',
            //         resultScroe: '',
            //         sn: '',
            //     },
            // ],
            templateData: [],
            columnIndexFixed: [0, 1], // 固定列序号
            columnIndexGather: {}, //固定列序需合并行号集合
            columnIndexTargetName: {}, // 改革核心指标名称需合并行号
        }
    },
    mounted() {
        this.initData()
    },
    methods: {
        initData() {
            this.loading = true
            let now = new Date()
            let y = now.getFullYear()
            let m = now.getMonth() + 1
            let data = this.qs.stringify({
                fillMonth: m,
                fillYear: y,
            })
            apiList.targetList(data, (res) => {
                if (res) {
                    this.templateData = res
                    this.dataFormat()
                    this.tableData = this.templateData
                }
                this.loading = false
            })
        },
        dataFormat() {
            let initNum = 0
            // 先计算需合并的行号
            this.templateData.forEach((item, index) => {
                if (!this.columnIndexGather[item.projectId]) {
                    this.columnIndexGather[item.projectId] = [index]
                    initNum++
                } else {
                    this.columnIndexGather[item.projectId].push(index)
                }
                item.indexKey = initNum
                if (
                    !this.columnIndexTargetName[
                        item.reformQuantitativeObjectives
                    ]
                ) {
                    this.columnIndexTargetName[
                        item.reformQuantitativeObjectives
                    ] = [index]
                } else {
                    this.columnIndexTargetName[
                        item.reformQuantitativeObjectives
                    ].push(index)
                }
            })
            for (let key in this.columnIndexGather) {
                if (this.columnIndexGather[key].length <= 1) {
                    delete this.columnIndexGather[key]
                }
            }
            for (let key in this.columnIndexTargetName) {
                if (this.columnIndexTargetName[key].length <= 1) {
                    delete this.columnIndexTargetName[key]
                }
            }
            console.log(this.columnIndexGather, this.columnIndexTargetName)
            this.dataReady = true
        },
        objectSpanMethod({row, column, rowIndex, columnIndex}) {
            if (this.columnIndexFixed.includes(columnIndex)) {
                for (let key in this.columnIndexGather) {
                    if (rowIndex === this.columnIndexGather[key][0]) {
                        return {
                            rowspan: this.columnIndexGather[key].length,
                            colspan: 1,
                        }
                    } else if (
                        this.columnIndexGather[key].includes(rowIndex) &&
                        rowIndex !== this.columnIndexGather[key][0]
                    ) {
                        return {
                            rowspan: 0,
                            colspan: 0,
                        }
                    }
                }
            }
        },
    },
}
</script>>
<style lang="scss">
@import './table.scss';
// .report-overview {
//     height: 700px;
// }
#mix-table-bigger .el-table--border th, .el-table--border td {
    border-right: 1px solid rgb(39, 86, 162)!important;
}
#mix-table-bigger.el-table th.el-table__cell.is-leaf, #mix-table-bigger.el-table td.el-table__cell {
    border-bottom: 1px solid rgb(39, 86, 162)!important;
}

#mix-table-bigger.dialog_table.el-table{
    // tr {
    //     background-color: rgba(1, 39, 101, 1)!important;
    //     color: #FFFFFF!important;
    // }
    // tr:nth-of-type(2n+1){
    //     background-color: rgb(3, 45, 113)!important;
    //     color: #FFFFFF!important;
    // }

    thead tr{
        background: none!important;
    }
    thead tr, thead tr th{
        background: none!important;
        background-color: #114385!important;
        color: #FFFFFF;
    }
    th > .cell {
        font-size: 14px;
        font-family: SimHei;
        font-weight: 400;
        color: #FFFFFF;
    }
    td > .cell {
        color: #FFFFFF!important;
    }
}
    
#mix-table-bigger.el-table--border{
    border: 1px solid rgb(39, 86, 162)!important;
    .el-table__cell{
        border-right: 1px solid rgb(39, 86, 162)!important;
    }
    th.el-table__cell {
        border-bottom: 1px solid rgb(39, 86, 162)!important;
    }
    td {
        border-right: 1px solid rgb(39, 86, 162)!important;
    }
    th {
        border-right: 1px solid rgb(39, 86, 162)!important;
    }
}
#mix-table-bigger.el-table{
    tr {
        background-color: rgba(1, 39, 101, 1)!important;
        color: #FFFFFF!important;
    }
}
#mix-table-bigger .el-table--enable-row-hover .el-table__body tr:hover > td.el-table__cell {
    background-color: rgba(2, 115, 233, 0.3)!important;
}
#mix-table-bigger.el-table.el-table--border tbody tr:hover > td {
    background-color: rgba(2, 115, 233, 0.3)!important;
}

#mix-table-bigger.el-table--group::after, 
#mix-table-bigger.el-table--border::after, 
#mix-table-bigger.el-table::before {
    background-color: #001f47!important;
}
</style>
